# -*-makefile-*-
#
# Copyright (C) 2010 by Jürgen Kilb <J.Kilb@phytec.de>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_BAREBOX_BBENV) += barebox_bbenv

#
# Paths and names
#
BAREBOX_BBENV_VERSION	:= $(call remove_quotes,$(PTXCONF_BAREBOX_VERSION))
BAREBOX_BBENV		:= barebox-$(BAREBOX_BBENV_VERSION)
BAREBOX_BBENV_DIR	:= $(BUILDDIR)/$(BAREBOX_BBENV)
BAREBOX_BBENV_LICENSE	:= GPLv2

#AREBOX_CONFIG	:= $(call remove_quotes, $(PTXDIST_PLATFORMCONFIGDIR)/$(PTXCONF_BAREBOX_CONFIG))

# ----------------------------------------------------------------------------
# Get
# ----------------------------------------------------------------------------

$(STATEDIR)/barebox_bbenv.get:
	@$(call targetinfo)
	@$(call touch)

# ----------------------------------------------------------------------------
# Extract 
# ----------------------------------------------------------------------------

$(STATEDIR)/barebox_bbenv.extract:
	@$(call targetinfo)
	@$(call touch)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

BAREBOX_BBENV_PATH	:= PATH=$(CROSS_PATH)

$(STATEDIR)/barebox_bbenv.prepare:
	@$(call targetinfo)
	@$(call touch)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

$(STATEDIR)/barebox_bbenv.compile:
	@$(call targetinfo)
	cd $(BAREBOX_BBENV_DIR)/scripts && $(BAREBOX_BBENV_PATH) && \
	$(CROSS_CC) bareboxenv.c -o bbenv
	@$(call touch)

# ----------------------------------------------------------------------------
# Install 
# ----------------------------------------------------------------------------

$(STATEDIR)/barebox_bbenv.install:
	@$(call targetinfo)
	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/barebox_bbenv.targetinstall:
	@$(call targetinfo)

	@$(call install_init, barebox_bbenv)
	@$(call install_fixup, barebox_bbenv,PACKAGE,barebox_bbenv)
	@$(call install_fixup, barebox_bbenv,PRIORITY,optional)
	@$(call install_fixup, barebox_bbenv,VERSION,$(BAREBOX_BBENV_VERSION))
	@$(call install_fixup, barebox_bbenv,SECTION,base)
	@$(call install_fixup, barebox_bbenv,AUTHOR,"Juergen Kilb, PHYTEC Messtechnik GmbH")
	@$(call install_fixup, barebox_bbenv,DEPENDS,)
	@$(call install_fixup, barebox_bbenv,DESCRIPTION,"change the bb environment from target cmdline")

	@$(call install_copy, barebox_bbenv, 0, 0, 0755, \
	        $(BAREBOX_BBENV_DIR)/scripts/bbenv, \
	        /usr/sbin/bbenv, y)

	@$(call install_finish, barebox_bbenv)
	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

$(STATEDIR)/barebox_bbenv.clean:
	@$(call targetinfo)
	@$(call clean_pkg, BBBENV)

# vim: syntax=make
