# -*-makefile-*-
#
# Copyright (C) 2010 by Phytec Messtechnik GmbH, Teresa Gámez
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_GSTREAMER_EXAMPLES) += gstreamer_examples

GSTREAMER_EXAMPLES_VERSION	:= 1.5

# ----------------------------------------------------------------------------
# Get
# ----------------------------------------------------------------------------

$(STATEDIR)/gstreamer_examples.get:
	@$(call targetinfo)
	@$(call touch)

# ----------------------------------------------------------------------------
# Extract
# ----------------------------------------------------------------------------

$(STATEDIR)/gstreamer_examples.extract:
	@$(call targetinfo)
	@$(call touch)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

$(STATEDIR)/gstreamer_examples.prepare:
	@$(call targetinfo)
	@$(call touch)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

$(STATEDIR)/gstreamer_examples.compile:
	@$(call targetinfo)
	@$(call touch)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

$(STATEDIR)/gstreamer_examples.install:
	@$(call targetinfo)
	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/gstreamer_examples.targetinstall:
	@$(call targetinfo)

	@$(call install_init,gstreamer_examples)
	@$(call install_fixup,gstreamer_examples,PRIORITY,optional)
	@$(call install_fixup,gstreamer_examples,SECTION,base)
	@$(call install_fixup,gstreamer_examples,AUTHOR,"Teresa Gamez")
	@$(call install_fixup,gstreamer_examples,DESCRIPTION,missing)

	#Documentation
	@$(call install_alternative, gstreamer_examples, 0, 0, 0755, /home/gstreamer_examples/camera_select_phyCARD-S.txt)

	#func.sh
	@$(call install_alternative, gstreamer_examples, 0, 0, 0755, /home/gstreamer_examples/func.sh)

	#Register Settings
	@$(call install_alternative, gstreamer_examples, 0, 0, 0755, /home/gstreamer_examples/register-settings-mt9m001.txt)

	@$(call install_alternative, gstreamer_examples, 0, 0, 0755, /home/gstreamer_examples/register-settings-mt9v022.txt)

	@$(call install_alternative, gstreamer_examples, 0, 0, 0755, /home/gstreamer_examples/register-settings-mt9m131.txt)

	#BW examples
	@$(call install_alternative, gstreamer_examples, 0, 0, 0755, /home/gstreamer_examples/bwcam-fbdev_640x480)

	@$(call install_alternative, gstreamer_examples, 0, 0, 0755, /home/gstreamer_examples/bwcam-fbdev_240x320)

	@$(call install_alternative, gstreamer_examples, 0, 0, 0755, /home/gstreamer_examples/bwcam-fbdev_240x320-roi)

	@$(call install_alternative, gstreamer_examples, 0, 0, 0755, /home/gstreamer_examples/bwcam-mpeg4)

	@$(call install_alternative, gstreamer_examples, 0, 0, 0755, /home/gstreamer_examples/bwcam-xv)

	@$(call install_alternative, gstreamer_examples, 0, 0, 0755, /home/gstreamer_examples/bwcam-save_jpg_full_res)

	@$(call install_alternative, gstreamer_examples, 0, 0, 0755, /home/gstreamer_examples/bwcam-save_raw_full_res)

	#Color examples
	@$(call install_alternative, gstreamer_examples, 0, 0, 0755, /home/gstreamer_examples/colcam-fbdev_640x480)

	@$(call install_alternative, gstreamer_examples, 0, 0, 0755, /home/gstreamer_examples/colcam-fbdev_240x320)

	@$(call install_alternative, gstreamer_examples, 0, 0, 0755, /home/gstreamer_examples/colcam-fbdev_240x320-roi)

	@$(call install_alternative, gstreamer_examples, 0, 0, 0755, /home/gstreamer_examples/colcam-mpeg4)

	@$(call install_alternative, gstreamer_examples, 0, 0, 0755, /home/gstreamer_examples/colcam-xv)

	@$(call install_alternative, gstreamer_examples, 0, 0, 0755, /home/gstreamer_examples/colcam-save_jpg_full_res)

	@$(call install_alternative, gstreamer_examples, 0, 0, 0755, /home/gstreamer_examples/colcam-save_raw_full_res)

	#mt9m131_scripts
	@$(call install_alternative, gstreamer_examples, 0, 0, 0755, /home/gstreamer_examples/more_mt9m131_scripts/mt9m131_full_fbdev_240x320_rgb)

	@$(call install_alternative, gstreamer_examples, 0, 0, 0755, /home/gstreamer_examples/more_mt9m131_scripts/mt9m131_full_fbdev_240x320_yuv)

	@$(call install_alternative, gstreamer_examples, 0, 0, 0755, /home/gstreamer_examples/more_mt9m131_scripts/mt9m131_full_fbdev_640x480_rgb)

	@$(call install_alternative, gstreamer_examples, 0, 0, 0755, /home/gstreamer_examples/more_mt9m131_scripts/mt9m131_full_fbdev_640x480_yuv)

	@$(call install_alternative, gstreamer_examples, 0, 0, 0755, /home/gstreamer_examples/more_mt9m131_scripts/mt9m131_full_save-jpg_rgb)

	@$(call install_alternative, gstreamer_examples, 0, 0, 0755, /home/gstreamer_examples/more_mt9m131_scripts/mt9m131_full_save-jpg_yuv)

	@$(call install_alternative, gstreamer_examples, 0, 0, 0755, /home/gstreamer_examples/more_mt9m131_scripts/mt9m131_full_save-raw_rgb)

	@$(call install_alternative, gstreamer_examples, 0, 0, 0755, /home/gstreamer_examples/more_mt9m131_scripts/mt9m131_full_save-raw_yuv)

	#skip scripts
	@$(call install_alternative, gstreamer_examples, 0, 0, 0755, /home/gstreamer_examples/more_mt9m131_scripts/skip/i2c)

	@$(call install_alternative, gstreamer_examples, 0, 0, 0755, /home/gstreamer_examples/more_mt9m131_scripts/skip/skip2_fbdev_640x480)

	@$(call install_alternative, gstreamer_examples, 0, 0, 0755, /home/gstreamer_examples/more_mt9m131_scripts/skip/skip2_fbdev_640x480_part01)

	@$(call install_alternative, gstreamer_examples, 0, 0, 0755, /home/gstreamer_examples/more_mt9m131_scripts/skip/skip2_fbdev_640x480_part02)

	@$(call install_alternative, gstreamer_examples, 0, 0, 0755, /home/gstreamer_examples/more_mt9m131_scripts/skip/skip4_fbdev_240x320)

	@$(call install_alternative, gstreamer_examples, 0, 0, 0755, /home/gstreamer_examples/more_mt9m131_scripts/skip/skip4_fbdev_240x320_part01)

	@$(call install_alternative, gstreamer_examples, 0, 0, 0755, /home/gstreamer_examples/more_mt9m131_scripts/skip/skip4_fbdev_240x320_part02)

	@$(call install_finish, gstreamer_examples)
	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

#$(STATEDIR)/gstreamer_examples.clean:
#	@$(call targetinfo)
#	@$(call clean_pkg, GSTREAMER_EXAMPLES)

# vim: syntax=make
